package com.steering.model.sale;

public class SlmOrderLineEntity {
	/**
	 * 合同行价格维护
	 */
	private String priceNol;
	/**
	 * ORD_PK
	 */
	private String ordPk;
	/**
	 * ORD_LN_PK
	 */
	private String ordLnPk;
	/**
	 * 管理卡号
	 */
	private String managNo;
	/**
	 * 合同号
	 */
	private String orderNo;
	/**
	 * 客户合同号
	 */
	private String custmOrderNo;
	/**
	 * 评审单号
	 */
	private String revwRptNo;
	/**
	 * 合同类型
	 */
	private String orderTypDesc;
	/**
	 * 销售组织
	 */
	private String saleOrgDesc;
	/**
	 * 销售区域
	 */
	private String saleAreaDesc;
	/**
	 * 合同行号
	 */
	private String orderSeq;
	/**
	 * 出厂价
	 */
	private String outPrice;
	/**
	 * 结算价
	 */
	private String blaPrice;
	/**
	 * 运费
	 */
	private String trsPrice;
	/**
	 * 吊装费
	 */
	private String pakPrice;
	/**
	 * 订货规格
	 */
	private String orderSpecDesc;
	/**
	 * 产品规格
	 */
	private String specName;
	/**
	 * 扣型
	 */
	private String modelDesc;
	/**
	 * 长度
	 */
	private String lenDesc;
	/**
	 * 订货量
	 */
	private String orderQty;
	/**
	 * 计量单位
	 */
	private String orderUnit;
	/**
	 * 保总长
	 */
	private String ordEnsuTotlLen;
	/**
	 * 交货量差方式
	 */
	private String delvryRangeTpe;
	/**
	 * 交货量差下限
	 */
	private String delvryRangeMin;
	/**
	 * 交货量差上限
	 */
	private String delvryRangeMax;
	/**
	 * 订货附加要求
	 */
	private String orderAddDesc;
	/**
	 * 产品特殊要求
	 */
	private String orderSpecialDesc;
	/**
	 * 外购坯
	 */
	private String outsBilletFl;
	/**
	 * 外购管
	 */
	private String outsStlPipeFl;
	/**
	 * ASSEL
	 */
	private String asselFl;
	/**
	 * 监制要求
	 */
	private String producerFl;
	/**
	 * 最终用户
	 */
	private String finalUserDesc;
	/**
	 * 订货单位
	 */
	private String customerNm;
	/**
	 * 结算单位
	 */
	private String stlmtUnitNm;
	/**
	 * 协议号
	 */
	private String protclNo;
	/**
	 * 计价方式
	 */
	private String priceFl;
	/**
	 * 币种
	 */
	private String currency;
	/**
	 * 付款方式
	 */
	private String mnyAskTyp;
	/**
	 * 付款要求
	 */
	private String mnyAskDesc;
	/**
	 * 合同定价维护
	 */
	private String priceNoh;

	public SlmOrderLineEntity() {
		priceNol = "";
		ordPk = "";
		ordLnPk = "";
		managNo = "";
		orderNo = "";
		custmOrderNo = "";
		revwRptNo = "";
		orderTypDesc = "";
		saleOrgDesc = "";
		saleAreaDesc = "";
		orderSeq = "";
		outPrice = "";
		blaPrice = "";
		trsPrice = "";
		pakPrice = "";
		orderSpecDesc = "";
		specName = "";
		modelDesc = "";
		lenDesc = "";
		orderQty = "";
		orderUnit = "";
		ordEnsuTotlLen = "";
		delvryRangeTpe = "";
		delvryRangeMin = "";
		delvryRangeMax = "";
		orderAddDesc = "";
		orderSpecialDesc = "";
		outsBilletFl = "";
		outsStlPipeFl = "";
		asselFl = "";
		producerFl = "";
		finalUserDesc = "";
		customerNm = "";
		stlmtUnitNm = "";
		protclNo = "";
		priceFl = "";
		currency = "";
		mnyAskTyp = "";
		mnyAskDesc = "";
		priceNoh = "";
	}

	/**
	 * 合同行价格维护
	 * 
	 * @return value
	 */
	public String getPriceNol() {
		return priceNol;
	}

	/**
	 * 合同行价格维护
	 * 
	 * @param priceNol
	 *            value
	 */
	public void setPriceNol(String priceNol) {
		this.priceNol = priceNol;
	}

	/**
	 * ORD_PK
	 * 
	 * @return value
	 */
	public String getOrdPk() {
		return ordPk;
	}

	/**
	 * ORD_PK
	 * 
	 * @param ordPk
	 *            value
	 */
	public void setOrdPk(String ordPk) {
		this.ordPk = ordPk;
	}

	/**
	 * ORD_LN_PK
	 * 
	 * @return value
	 */
	public String getOrdLnPk() {
		return ordLnPk;
	}

	/**
	 * ORD_LN_PK
	 * 
	 * @param ordLnPk
	 *            value
	 */
	public void setOrdLnPk(String ordLnPk) {
		this.ordLnPk = ordLnPk;
	}

	/**
	 * 管理卡号
	 * 
	 * @return value
	 */
	public String getManagNo() {
		return managNo;
	}

	/**
	 * 管理卡号
	 * 
	 * @param managNo
	 *            value
	 */
	public void setManagNo(String managNo) {
		this.managNo = managNo;
	}

	/**
	 * 合同号
	 * 
	 * @return value
	 */
	public String getOrderNo() {
		return orderNo;
	}

	/**
	 * 合同号
	 * 
	 * @param orderNo
	 *            value
	 */
	public void setOrderNo(String orderNo) {
		this.orderNo = orderNo;
	}

	/**
	 * 客户合同号
	 * 
	 * @return value
	 */
	public String getCustmOrderNo() {
		return custmOrderNo;
	}

	/**
	 * 客户合同号
	 * 
	 * @param custmOrderNo
	 *            value
	 */
	public void setCustmOrderNo(String custmOrderNo) {
		this.custmOrderNo = custmOrderNo;
	}

	/**
	 * 评审单号
	 * 
	 * @return value
	 */
	public String getRevwRptNo() {
		return revwRptNo;
	}

	/**
	 * 评审单号
	 * 
	 * @param revwRptNo
	 *            value
	 */
	public void setRevwRptNo(String revwRptNo) {
		this.revwRptNo = revwRptNo;
	}

	/**
	 * 合同类型
	 * 
	 * @return value
	 */
	public String getOrderTypDesc() {
		return orderTypDesc;
	}

	/**
	 * 合同类型
	 * 
	 * @param orderTypDesc
	 *            value
	 */
	public void setOrderTypDesc(String orderTypDesc) {
		this.orderTypDesc = orderTypDesc;
	}

	/**
	 * 销售组织
	 * 
	 * @return value
	 */
	public String getSaleOrgDesc() {
		return saleOrgDesc;
	}

	/**
	 * 销售组织
	 * 
	 * @param saleOrgDesc
	 *            value
	 */
	public void setSaleOrgDesc(String saleOrgDesc) {
		this.saleOrgDesc = saleOrgDesc;
	}

	/**
	 * 销售区域
	 * 
	 * @return value
	 */
	public String getSaleAreaDesc() {
		return saleAreaDesc;
	}

	/**
	 * 销售区域
	 * 
	 * @param saleAreaDesc
	 *            value
	 */
	public void setSaleAreaDesc(String saleAreaDesc) {
		this.saleAreaDesc = saleAreaDesc;
	}

	/**
	 * 合同行号
	 * 
	 * @return value
	 */
	public String getOrderSeq() {
		return orderSeq;
	}

	/**
	 * 合同行号
	 * 
	 * @param orderSeq
	 *            value
	 */
	public void setOrderSeq(String orderSeq) {
		this.orderSeq = orderSeq;
	}

	/**
	 * 出厂价
	 * 
	 * @return value
	 */
	public String getOutPrice() {
		return outPrice;
	}

	/**
	 * 出厂价
	 * 
	 * @param outPrice
	 *            value
	 */
	public void setOutPrice(String outPrice) {
		this.outPrice = outPrice;
	}

	/**
	 * 结算价
	 * 
	 * @return value
	 */
	public String getBlaPrice() {
		return blaPrice;
	}

	/**
	 * 结算价
	 * 
	 * @param blaPrice
	 *            value
	 */
	public void setBlaPrice(String blaPrice) {
		this.blaPrice = blaPrice;
	}

	/**
	 * 运费
	 * 
	 * @return value
	 */
	public String getTrsPrice() {
		return trsPrice;
	}

	/**
	 * 运费
	 * 
	 * @param trsPrice
	 *            value
	 */
	public void setTrsPrice(String trsPrice) {
		this.trsPrice = trsPrice;
	}

	/**
	 * 吊装费
	 * 
	 * @return value
	 */
	public String getPakPrice() {
		return pakPrice;
	}

	/**
	 * 吊装费
	 * 
	 * @param pakPrice
	 *            value
	 */
	public void setPakPrice(String pakPrice) {
		this.pakPrice = pakPrice;
	}

	/**
	 * 订货规格
	 * 
	 * @return value
	 */
	public String getOrderSpecDesc() {
		return orderSpecDesc;
	}

	/**
	 * 订货规格
	 * 
	 * @param orderSpecDesc
	 *            value
	 */
	public void setOrderSpecDesc(String orderSpecDesc) {
		this.orderSpecDesc = orderSpecDesc;
	}

	/**
	 * 产品规格
	 * 
	 * @return value
	 */
	public String getSpecName() {
		return specName;
	}

	/**
	 * 产品规格
	 * 
	 * @param specName
	 *            value
	 */
	public void setSpecName(String specName) {
		this.specName = specName;
	}

	/**
	 * 扣型
	 * 
	 * @return value
	 */
	public String getModelDesc() {
		return modelDesc;
	}

	/**
	 * 扣型
	 * 
	 * @param modelDesc
	 *            value
	 */
	public void setModelDesc(String modelDesc) {
		this.modelDesc = modelDesc;
	}

	/**
	 * 长度
	 * 
	 * @return value
	 */
	public String getLenDesc() {
		return lenDesc;
	}

	/**
	 * 长度
	 * 
	 * @param lenDesc
	 *            value
	 */
	public void setLenDesc(String lenDesc) {
		this.lenDesc = lenDesc;
	}

	/**
	 * 订货量
	 * 
	 * @return value
	 */
	public String getOrderQty() {
		return orderQty;
	}

	/**
	 * 订货量
	 * 
	 * @param orderQty
	 *            value
	 */
	public void setOrderQty(String orderQty) {
		this.orderQty = orderQty;
	}

	/**
	 * 计量单位
	 * 
	 * @return value
	 */
	public String getOrderUnit() {
		return orderUnit;
	}

	/**
	 * 计量单位
	 * 
	 * @param orderUnit
	 *            value
	 */
	public void setOrderUnit(String orderUnit) {
		this.orderUnit = orderUnit;
	}

	/**
	 * 保总长
	 * 
	 * @return value
	 */
	public String getOrdEnsuTotlLen() {
		return ordEnsuTotlLen;
	}

	/**
	 * 保总长
	 * 
	 * @param ordEnsuTotlLen
	 *            value
	 */
	public void setOrdEnsuTotlLen(String ordEnsuTotlLen) {
		this.ordEnsuTotlLen = ordEnsuTotlLen;
	}

	/**
	 * 交货量差方式
	 * 
	 * @return value
	 */
	public String getDelvryRangeTpe() {
		return delvryRangeTpe;
	}

	/**
	 * 交货量差方式
	 * 
	 * @param delvryRangeTpe
	 *            value
	 */
	public void setDelvryRangeTpe(String delvryRangeTpe) {
		this.delvryRangeTpe = delvryRangeTpe;
	}

	/**
	 * 交货量差下限
	 * 
	 * @return value
	 */
	public String getDelvryRangeMin() {
		return delvryRangeMin;
	}

	/**
	 * 交货量差下限
	 * 
	 * @param delvryRangeMin
	 *            value
	 */
	public void setDelvryRangeMin(String delvryRangeMin) {
		this.delvryRangeMin = delvryRangeMin;
	}

	/**
	 * 交货量差上限
	 * 
	 * @return value
	 */
	public String getDelvryRangeMax() {
		return delvryRangeMax;
	}

	/**
	 * 交货量差上限
	 * 
	 * @param delvryRangeMax
	 *            value
	 */
	public void setDelvryRangeMax(String delvryRangeMax) {
		this.delvryRangeMax = delvryRangeMax;
	}

	/**
	 * 订货附加要求
	 * 
	 * @return value
	 */
	public String getOrderAddDesc() {
		return orderAddDesc;
	}

	/**
	 * 订货附加要求
	 * 
	 * @param orderAddDesc
	 *            value
	 */
	public void setOrderAddDesc(String orderAddDesc) {
		this.orderAddDesc = orderAddDesc;
	}

	/**
	 * 产品特殊要求
	 * 
	 * @return value
	 */
	public String getOrderSpecialDesc() {
		return orderSpecialDesc;
	}

	/**
	 * 产品特殊要求
	 * 
	 * @param orderSpecialDesc
	 *            value
	 */
	public void setOrderSpecialDesc(String orderSpecialDesc) {
		this.orderSpecialDesc = orderSpecialDesc;
	}

	/**
	 * 外购坯
	 * 
	 * @return value
	 */
	public String getOutsBilletFl() {
		return outsBilletFl;
	}

	/**
	 * 外购坯
	 * 
	 * @param outsBilletFl
	 *            value
	 */
	public void setOutsBilletFl(String outsBilletFl) {
		this.outsBilletFl = outsBilletFl;
	}

	/**
	 * 外购管
	 * 
	 * @return value
	 */
	public String getOutsStlPipeFl() {
		return outsStlPipeFl;
	}

	/**
	 * 外购管
	 * 
	 * @param outsStlPipeFl
	 *            value
	 */
	public void setOutsStlPipeFl(String outsStlPipeFl) {
		this.outsStlPipeFl = outsStlPipeFl;
	}

	/**
	 * ASSEL
	 * 
	 * @return value
	 */
	public String getAsselFl() {
		return asselFl;
	}

	/**
	 * ASSEL
	 * 
	 * @param asselFl
	 *            value
	 */
	public void setAsselFl(String asselFl) {
		this.asselFl = asselFl;
	}

	/**
	 * 监制要求
	 * 
	 * @return value
	 */
	public String getProducerFl() {
		return producerFl;
	}

	/**
	 * 监制要求
	 * 
	 * @param producerFl
	 *            value
	 */
	public void setProducerFl(String producerFl) {
		this.producerFl = producerFl;
	}

	/**
	 * 最终用户
	 * 
	 * @return value
	 */
	public String getFinalUserDesc() {
		return finalUserDesc;
	}

	/**
	 * 最终用户
	 * 
	 * @param finalUserDesc
	 *            value
	 */
	public void setFinalUserDesc(String finalUserDesc) {
		this.finalUserDesc = finalUserDesc;
	}

	/**
	 * 订货单位
	 * 
	 * @return value
	 */
	public String getCustomerNm() {
		return customerNm;
	}

	/**
	 * 订货单位
	 * 
	 * @param customerNm
	 *            value
	 */
	public void setCustomerNm(String customerNm) {
		this.customerNm = customerNm;
	}

	/**
	 * 结算单位
	 * 
	 * @return value
	 */
	public String getStlmtUnitNm() {
		return stlmtUnitNm;
	}

	/**
	 * 结算单位
	 * 
	 * @param stlmtUnitNm
	 *            value
	 */
	public void setStlmtUnitNm(String stlmtUnitNm) {
		this.stlmtUnitNm = stlmtUnitNm;
	}

	/**
	 * 协议号
	 * 
	 * @return value
	 */
	public String getProtclNo() {
		return protclNo;
	}

	/**
	 * 协议号
	 * 
	 * @param protclNo
	 *            value
	 */
	public void setProtclNo(String protclNo) {
		this.protclNo = protclNo;
	}

	/**
	 * 计价方式
	 * 
	 * @return value
	 */
	public String getPriceFl() {
		return priceFl;
	}

	/**
	 * 计价方式
	 * 
	 * @param priceFl
	 *            value
	 */
	public void setPriceFl(String priceFl) {
		this.priceFl = priceFl;
	}

	/**
	 * 币种
	 * 
	 * @return value
	 */
	public String getCurrency() {
		return currency;
	}

	/**
	 * 币种
	 * 
	 * @param currency
	 *            value
	 */
	public void setCurrency(String currency) {
		this.currency = currency;
	}

	/**
	 * 付款方式
	 * 
	 * @return value
	 */
	public String getMnyAskTyp() {
		return mnyAskTyp;
	}

	/**
	 * 付款方式
	 * 
	 * @param mnyAskTyp
	 *            value
	 */
	public void setMnyAskTyp(String mnyAskTyp) {
		this.mnyAskTyp = mnyAskTyp;
	}

	/**
	 * 付款要求
	 * 
	 * @return value
	 */
	public String getMnyAskDesc() {
		return mnyAskDesc;
	}

	/**
	 * 付款要求
	 * 
	 * @param mnyAskDesc
	 *            value
	 */
	public void setMnyAskDesc(String mnyAskDesc) {
		this.mnyAskDesc = mnyAskDesc;
	}

	/**
	 * 合同定价维护
	 * 
	 * @return value
	 */
	public String getPriceNoh() {
		return priceNoh;
	}

	/**
	 * 合同定价维护
	 * 
	 * @param priceNoh
	 *            value
	 */
	public void setPriceNoh(String priceNoh) {
		this.priceNoh = priceNoh;
	}
}
